#
# $Header: /cvsroot/lesstif/lesstif/lib/Uil-2.0/Makefile.am,v 1.14 2005/03/26 06:52:26 dannybackx Exp $
#
MAINTAINERCLEANFILES=Makefile.in

libUil_la_LDFLAGS= -version-info 2:0 -no-undefined
libdir = $(exec_prefix)/lib

#
# Sources in this directory
#
SRCS_2_0 =

if Version_2_0

#
# Sources in another directory
#
SRCS_1_2 = \
	Uil.c  UilData.c  uillex.c  uilparse.c  uilsym.c

#
# This is for cleanup purposes.
# Could be in the 2.0 case only, but let's clean up at all times.
#
#BUILT_SOURCES=$(SRCS_1_2)

AM_CPPFLAGS= \
          -I$(top_srcdir)/include/Motif-2.0 \
          -I$(top_builddir)/include/Motif-2.0 \
          -I$(top_srcdir)/include/Motif-1.2 \
          -I$(top_builddir)/include/Motif-1.2 \
          -I$(top_srcdir)/include \
          -I$(top_builddir)/include \
          -I$(top_srcdir)/lib/Uil \
          $(X_CFLAGS)

lib_LTLIBRARIES= libUil.la

#libUil_la_LIBADD = $(X_LIBS) -lXt

libUil_la_SOURCES= ${SRCS_2_0}
nodist_libUil_la_SOURCES= ${SRCS_1_2:%=../Uil/%}


$(SRCS_1_2):
	rm -f $@
	$(LN_S) $(srcdir)/../Uil/$@ $@
endif

clean-local:
if Version_2_0
	@for i in $(SRCS_1_2) ; do \
	   if test -r $$i; then \
	      rm $$i; \
	   fi ; \
	  done
endif
